## ros-indigo-dbw-fca-joystick-demo 1.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dbw_fca_joystick_demo)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  sensor_msgs
  dbw_fca_msgs
)

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(${PROJECT_NAME}_joystick_demo src/joystick_demo.cpp src/JoystickDemo.cpp)
add_dependencies(${PROJECT_NAME}_joystick_demo ${catkin_EXPORTED_TARGETS})
target_link_libraries(${PROJECT_NAME}_joystick_demo
  ${catkin_LIBRARIES}
)
set_target_properties(${PROJECT_NAME}_joystick_demo PROPERTIES OUTPUT_NAME joystick_demo PREFIX "")

install(TARGETS ${PROJECT_NAME}_joystick_demo
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(tests)
endif()

=== tests/CMakeLists.txt ===
### Unit tests
#
#   Only configured when CATKIN_ENABLE_TESTING is true.

# These dependencies are only needed for unit testing
find_package(roslaunch REQUIRED)
find_package(roslib REQUIRED)

# Check all the launch/*.launch files
if($ENV{ROS_DISTRO} STRGREATER indigo)
  roslaunch_add_file_check(../launch)
endif()

=== debian/changelog ===
ros-indigo-dbw-fca-joystick-demo (1.0.1-0trusty) trusty; urgency=high



 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 01 Mar 2019 05:00:00 -0000

ros-indigo-dbw-fca-joystick-demo (1.0.0-0trusty) trusty; urgency=high

  * Use the ${catkin_EXPORTED_TARGETS} macro for target dependencies
  * Removed joystick deadzone
  * Added parameters for brake and throttle gains (sanitized from 0 to 1)
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

ros-indigo-dbw-fca-joystick-demo (0.0.2-0trusty) trusty; urgency=high

  * Added option to command steering torque instead of position
  * Added option to enable/disable each command topic
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Tue, 23 Oct 2018 04:00:00 -0000

ros-indigo-dbw-fca-joystick-demo (0.0.1-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck

 -- Kevin Hallenbeck <khallenbeck@dataspeedinc.com>  Wed, 08 Aug 2018 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-dbw-fca-joystick-demo
Section: misc
Priority: extra
Maintainer: Kevin Hallenbeck <khallenbeck@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dbw-fca-msgs, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-indigo-dbw-fca-joystick-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dbw-fca-can, ros-indigo-dbw-fca-msgs, ros-indigo-joy, ros-indigo-roscpp, ros-indigo-roslaunch, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: Demonstration of drive-by-wire with joystick

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-dbw-fca-joystick-demo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
